{{ ansible_managed | comment }}
#---------------------------------------------------------------------------
# Copyright BPC Lmt. (c) 2001
#---------------------------------------------------------------------------
# Module Name:   hsm_devices.sample
#--------------------------------------------------------------------------
# This file specifies the individual devices which are being handled
# by the HsmComms interface.
#
# The format of each line is as follows:
# (for an asynchronous connection to an HSM)
# DevID	  ASYNC	     Port	   Parms      Priority   HSM_Type
# or
# (for an ethernet connection to an HSM)
# DevID	  ETHERNET   Tcp_Address   Tcp_Port   Priority   HSM_Type
# or
# (to disable sending to an HSM, ie. always approve)
# DevID	  OFF	     -		   -          -          -
#
#
# DevID = a unique numeric identifier for a particular HSM device
# Type = ASYNC for an HSM attached using an asynchronous port connection
#        ETHERNET or TCP for an HSM attached via Ethernet
#        VIRTUAL+, VIRTUAL-, or VIRTUAL? to utilize a "virtual" HSM, which
#          means that a physical connection to an HSM is not established.
#          Instead a positive (VIRTUAL+), negative (VIRTUAL-), or
#          random (VIRTUAL?) response is generated which appears like an
#          HSM had processed the request.
#        OFF or NONE to prevent messages from being sent to the HSM.  This
#          setting means that the device will not be used at all in the
#          scheduling algorithm.
# Port = the actual port to which the HSM is attached (type == ASYNC)
# Parms = communications parameters, (type == ASYNC)
#         A,B,C,D = 1200, 2400, 9600, 19200 baud, respectively
#         8,7 = 8 or 7 bits per character, respectively
#         N,E,O = None, Even, or Odd parity, respectively
# Tcp_Address = the IP address which identifies the HSM (type == ETHERNET)
# Tcp_Port = the IP port to which we must connect (type == ETHERNET)
# Priority = The order by which HSMs will be utilized. The interface will
#         start by round robining between all the HSMs at the highest
#         priority (1 is highest).  If at any time there are less than
#         HSM_MIN_ACTIVE_HSMS available then the interface will go to the
#         next highest priority and use those HSMs until there is again
#         HSM_MIN_ACTIVE_HSMS avail in the highest priority.
# HSM_Type = 1 Racal
#            2 Eracom
#
# Example:
# 1		ASYNC		/dev/tty1p0	7E1     1
# 2		ETHERNET	199.100.51.250	6688    2
# 4		OFF		-		-       1
#

{% for rec in svfe_hsm_device_list %}
# {{ rec.desc }}
{% for rec2 in rec.device_list -%}
# {{ rec2.dev_desc }}
{{ rec2.devid }}      {{ rec2.type }}     {{ rec2.ip }}    {{ rec2.port }}   {{ rec2.priority }} {{ rec2.hsm_type }}
{% endfor %}{% endfor %}
